Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.urlParamNav
Class UrlParameterNavigationHandler

    java.lang.Object
      javax.faces.application.NavigationHandler
          org.apache.myfaces.orchestra.urlParamNav.UrlParameterNavigationHandler

    public class UrlParameterNavigationHandler

extends javax.faces.application.NavigationHandler

A navigation handler that exists only for backwards compatibility.

In orchestra-core 1.0 this class was necessary when using the UrlParameterViewHandler. In release 1.1, all the functionality implemented here has been moved to the UrlParameterViewHandler class and there is no longer anything here. However this class has been left to avoid breaking faces-config.xml configurations that reference it.

Constructor Summary
`UrlParameterNavigationHandler(javax.faces.application.NavigationHandler original)`

Method Summary
`void` | `handleNavigation(javax.faces.context.FacesContext context, java.lang.String fromAction, java.lang.String outcome)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlParameterNavigationHandler

    public UrlParameterNavigationHandler(javax.faces.application.NavigationHandler original)

Method Detail

### handleNavigation

    public void handleNavigation(javax.faces.context.FacesContext context,
                                 java.lang.String fromAction,
                                 java.lang.String outcome)

  Specified by:
    `handleNavigation` in class `javax.faces.application.NavigationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.